Repository navigation
Expand file tree
/
Copy pathDnsOpCode.cs
More file actions
113 lines (95 loc) · 2.69 KB
/
Copy pathDnsOpCode.cs
File metadata and controls
113 lines (95 loc) · 2.69 KB
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
// Copyright 2024 Michael Conrad.
// Licensed under the Apache License, Version 2.0.
// See LICENSE file for details.
using System;
namespace DnsClient
{
/*
*
* Reference: [RFC6895][RFC1035]
0 Query [RFC1035]
1 IQuery (Inverse Query, OBSOLETE) [RFC3425]
2 Status [RFC1035]
3 Unassigned
4 Notify [RFC1996]
5 Update [RFC2136]
6-15 Unassigned
* */
/// <summary>
/// Specifies kind of query in this message.
/// This value is set by the originator of a query and copied into the response.
/// </summary>
public enum DnsOpCode : short
{
/// <summary>
/// A standard query.
/// </summary>
/// <seealso href="https://tools.ietf.org/html/rfc1035">RFC 1035</seealso>
Query,
/// <summary>
/// An inverse query.
/// </summary>
/// <seealso href="https://tools.ietf.org/html/rfc3425">RFC 3425</seealso>
[Obsolete("obsolete per RFC")]
IQuery,
/// <summary>
/// A server status request.
/// </summary>
/// <seealso href="https://tools.ietf.org/html/rfc1035">RFC 1035</seealso>
Status,
/// <summary>
/// Unassigned value
/// </summary>
Unassinged3,
/// <summary>
/// Notify query.
/// </summary>
/// <seealso href="https://tools.ietf.org/html/rfc1996">RFC 1996</seealso>
Notify,
/// <summary>
/// Update query.
/// </summary>
/// <seealso href="https://tools.ietf.org/html/rfc2136">RFC 2136</seealso>
Update,
/// <summary>
/// Unassigned value
/// </summary>
Unassinged6,
/// <summary>
/// Unassigned value
/// </summary>
Unassinged7,
/// <summary>
/// Unassigned value
/// </summary>
Unassinged8,
/// <summary>
/// Unassigned value
/// </summary>
Unassinged9,
/// <summary>
/// Unassigned value
/// </summary>
Unassinged10,
/// <summary>
/// Unassigned value
/// </summary>
Unassinged11,
/// <summary>
/// Unassigned value
/// </summary>
Unassinged12,
/// <summary>
/// Unassigned value
/// </summary>
Unassinged13,
/// <summary>
/// Unassigned value
/// </summary>
Unassinged14,
/// <summary>
/// Unassigned value
/// </summary>
Unassinged15,
}
}